#pragma once
#include "communication/bridge/proxy/i_bridge_connection_status_provider.h"
#include "communication/bridge/proxy/i_bridge_connector.h"
#include "communication/bridge/proxy/i_secondary_bridge_connector.h"
#include "communication/bridge/proxy/i_bridge_configurator.h"
#include "communication/bridge/proxy/i_program_data_provider.h"
#include "communication/bridge/proxy/i_tool_connection_status_provider.h"
#include "communication/bridge/proxy/i_tool_controller.h"

namespace spin
{
    class IBridgeProxy : public IBridgeConnector,
                         public ISecondaryBridgeConnector,
                         public IBridgeConfigurator,
                         public IToolController,
                         public IBridgeConnectionStatusProvider,
                         public IToolConnectionStatusProvider,
                         public IProgramDataProvider
    {
    };
} // namespace spin